//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_TMDesert - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./Vehicle_TMDesert.cs");
	exec("./Vehicle_TMSnow.cs");
	exec("./Vehicle_TMRally.cs");
	exec("./Vehicle_TMStadium.cs");
	exec("./Vehicle_TMIsland.cs");
	exec("./Vehicle_TMValley.cs");
	exec("./TMDesert_Tire.cs");
	exec("./TMSnow_Tire.cs");
	exec("./TMRally_Tire.cs");
	exec("./TMStadium_Tire.cs");
	exec("./TMIsland_Tire.cs");
	exec("./TMValley_Tire.cs");
	exec("./TM_Explosion.cs");
	exec("./TM_FinalExplosion.cs");
	exec("./TM_Spring.cs");   
}